Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Class OPC

    java.lang.Object
      com.sun.squawk.vm.OPC

    public final class OPC

extends Object

This class defines the bytecodes used in the Squawk system.

Nested Class Summary
`static class` | `OPC.Properties`

Field Summary
`static int` | `ADD_D` Floating point instructions.
`static int` | `ADD_F` Floating point instructions.
`static int` | `ADD_I` Non-floating point instructions.
`static int` | `ADD_L` Non-floating point instructions.
`static int` | `ALOAD_B` Non-floating point instructions.
`static int` | `ALOAD_C` Non-floating point instructions.
`static int` | `ALOAD_D` Floating point instructions.
`static int` | `ALOAD_F` Floating point instructions.
`static int` | `ALOAD_I` Non-floating point instructions.
`static int` | `ALOAD_L` Non-floating point instructions.
`static int` | `ALOAD_O` Non-floating point instructions.
`static int` | `ALOAD_S` Non-floating point instructions.
`static int` | `AND_I` Non-floating point instructions.
`static int` | `AND_L` Non-floating point instructions.
`static int` | `ARRAYLENGTH` Non-floating point instructions.
`static int` | `ASTORE_B` Non-floating point instructions.
`static int` | `ASTORE_D` Floating point instructions.
`static int` | `ASTORE_F` Floating point instructions.
`static int` | `ASTORE_I` Non-floating point instructions.
`static int` | `ASTORE_L` Non-floating point instructions.
`static int` | `ASTORE_O` Non-floating point instructions.
`static int` | `ASTORE_S` Non-floating point instructions.
`static int` | `BBTARGET_APP` Non-floating point instructions.
`static int` | `BBTARGET_SYS` Non-floating point instructions.
`static int` | `CATCH` Non-floating point instructions.
`static int` | `CHECKCAST` Non-floating point instructions.
`static int` | `CLASS_CLINIT` Non-floating point instructions.
`static int` | `CLASS_GETSTATIC_D` Floating point instructions.
`static int` | `CLASS_GETSTATIC_D_WIDE` Floating point instructions.
`static int` | `CLASS_GETSTATIC_F` Floating point instructions.
`static int` | `CLASS_GETSTATIC_F_WIDE` Floating point instructions.
`static int` | `CLASS_GETSTATIC_I` Non-floating point instructions.
`static int` | `CLASS_GETSTATIC_I_WIDE` Non-floating point instructions.
`static int` | `CLASS_GETSTATIC_L` Non-floating point instructions.
`static int` | `CLASS_GETSTATIC_L_WIDE` Non-floating point instructions.
`static int` | `CLASS_GETSTATIC_O` Non-floating point instructions.
`static int` | `CLASS_GETSTATIC_O_WIDE` Non-floating point instructions.
`static int` | `CLASS_MONITORENTER` Non-floating point instructions.
`static int` | `CLASS_MONITOREXIT` Non-floating point instructions.
`static int` | `CLASS_PUTSTATIC_D` Floating point instructions.
`static int` | `CLASS_PUTSTATIC_D_WIDE` Floating point instructions.
`static int` | `CLASS_PUTSTATIC_F` Floating point instructions.
`static int` | `CLASS_PUTSTATIC_F_WIDE` Floating point instructions.
`static int` | `CLASS_PUTSTATIC_I` Non-floating point instructions.
`static int` | `CLASS_PUTSTATIC_I_WIDE` Non-floating point instructions.
`static int` | `CLASS_PUTSTATIC_L` Non-floating point instructions.
`static int` | `CLASS_PUTSTATIC_L_WIDE` Non-floating point instructions.
`static int` | `CLASS_PUTSTATIC_O` Non-floating point instructions.
`static int` | `CLASS_PUTSTATIC_O_WIDE` Non-floating point instructions.
`static int` | `CONST_0` Non-floating point instructions.
`static int` | `CONST_1` Non-floating point instructions.
`static int` | `CONST_10` Non-floating point instructions.
`static int` | `CONST_11` Non-floating point instructions.
`static int` | `CONST_12` Non-floating point instructions.
`static int` | `CONST_13` Non-floating point instructions.
`static int` | `CONST_14` Non-floating point instructions.
`static int` | `CONST_15` Non-floating point instructions.
`static int` | `CONST_2` Non-floating point instructions.
`static int` | `CONST_3` Non-floating point instructions.
`static int` | `CONST_4` Non-floating point instructions.
`static int` | `CONST_5` Non-floating point instructions.
`static int` | `CONST_6` Non-floating point instructions.
`static int` | `CONST_7` Non-floating point instructions.
`static int` | `CONST_8` Non-floating point instructions.
`static int` | `CONST_9` Non-floating point instructions.
`static int` | `CONST_BYTE` Non-floating point instructions.
`static int` | `CONST_CHAR` Non-floating point instructions.
`static int` | `CONST_DOUBLE` Floating point instructions.
`static int` | `CONST_FLOAT` Floating point instructions.
`static int` | `CONST_INT` Non-floating point instructions.
`static int` | `CONST_LONG` Non-floating point instructions.
`static int` | `CONST_M1` Non-floating point instructions.
`static int` | `CONST_NULL` Non-floating point instructions.
`static int` | `CONST_SHORT` Non-floating point instructions.
`static int` | `D2F` Floating point instructions.
`static int` | `D2I` Floating point instructions.
`static int` | `D2L` Floating point instructions.
`static int` | `DCMPG` Floating point instructions.
`static int` | `DCMPL` Floating point instructions.
`static int` | `DEC` Non-floating point instructions.
`static int` | `DEC_WIDE` Non-floating point instructions.
`static int` | `DECPARM` Non-floating point instructions.
`static int` | `DECPARM_WIDE` Non-floating point instructions.
`static int` | `DIV_D` Floating point instructions.
`static int` | `DIV_F` Floating point instructions.
`static int` | `DIV_I` Non-floating point instructions.
`static int` | `DIV_L` Non-floating point instructions.
`static int` | `ESCAPE` Non-floating point instructions.
`static int` | `ESCAPE_WIDE_0` Non-floating point instructions.
`static int` | `ESCAPE_WIDE_1` Non-floating point instructions.
`static int` | `ESCAPE_WIDE_INT` Non-floating point instructions.
`static int` | `ESCAPE_WIDE_M1` Non-floating point instructions.
`static int` | `ESCAPE_WIDE_SHORT` Non-floating point instructions.
`static int` | `EXTEND` Non-floating point instructions.
`static int` | `EXTEND_WIDE` Non-floating point instructions.
`static int` | `EXTEND0` Non-floating point instructions.
`static int` | `F2D` Floating point instructions.
`static int` | `F2I` Floating point instructions.
`static int` | `F2L` Floating point instructions.
`static int` | `FCMPG` Floating point instructions.
`static int` | `FCMPL` Floating point instructions.
`static int` | `FINDSLOT` Non-floating point instructions.
`static int` | `FINDSLOT_WIDE` Non-floating point instructions.
`static int` | `GETFIELD_B` Non-floating point instructions.
`static int` | `GETFIELD_B_WIDE` Non-floating point instructions.
`static int` | `GETFIELD_C` Non-floating point instructions.
`static int` | `GETFIELD_C_WIDE` Non-floating point instructions.
`static int` | `GETFIELD_D` Floating point instructions.
`static int` | `GETFIELD_D_WIDE` Floating point instructions.
`static int` | `GETFIELD_F` Floating point instructions.
`static int` | `GETFIELD_F_WIDE` Floating point instructions.
`static int` | `GETFIELD_I` Non-floating point instructions.
`static int` | `GETFIELD_I_WIDE` Non-floating point instructions.
`static int` | `GETFIELD_L` Non-floating point instructions.
`static int` | `GETFIELD_L_WIDE` Non-floating point instructions.
`static int` | `GETFIELD_O` Non-floating point instructions.
`static int` | `GETFIELD_O_WIDE` Non-floating point instructions.
`static int` | `GETFIELD_S` Non-floating point instructions.
`static int` | `GETFIELD_S_WIDE` Non-floating point instructions.
`static int` | `GETFIELD0_B` Non-floating point instructions.
`static int` | `GETFIELD0_B_WIDE` Non-floating point instructions.
`static int` | `GETFIELD0_C` Non-floating point instructions.
`static int` | `GETFIELD0_C_WIDE` Non-floating point instructions.
`static int` | `GETFIELD0_D` Floating point instructions.
`static int` | `GETFIELD0_D_WIDE` Floating point instructions.
`static int` | `GETFIELD0_F` Floating point instructions.
`static int` | `GETFIELD0_F_WIDE` Floating point instructions.
`static int` | `GETFIELD0_I` Non-floating point instructions.
`static int` | `GETFIELD0_I_WIDE` Non-floating point instructions.
`static int` | `GETFIELD0_L` Non-floating point instructions.
`static int` | `GETFIELD0_L_WIDE` Non-floating point instructions.
`static int` | `GETFIELD0_O` Non-floating point instructions.
`static int` | `GETFIELD0_O_WIDE` Non-floating point instructions.
`static int` | `GETFIELD0_S` Non-floating point instructions.
`static int` | `GETFIELD0_S_WIDE` Non-floating point instructions.
`static int` | `GETSTATIC_D` Floating point instructions.
`static int` | `GETSTATIC_D_WIDE` Floating point instructions.
`static int` | `GETSTATIC_F` Floating point instructions.
`static int` | `GETSTATIC_F_WIDE` Floating point instructions.
`static int` | `GETSTATIC_I` Non-floating point instructions.
`static int` | `GETSTATIC_I_WIDE` Non-floating point instructions.
`static int` | `GETSTATIC_L` Non-floating point instructions.
`static int` | `GETSTATIC_L_WIDE` Non-floating point instructions.
`static int` | `GETSTATIC_O` Non-floating point instructions.
`static int` | `GETSTATIC_O_WIDE` Non-floating point instructions.
`static int` | `GOTO` Non-floating point instructions.
`static int` | `GOTO_WIDE` Non-floating point instructions.
`static int` | `I2B` Non-floating point instructions.
`static int` | `I2C` Non-floating point instructions.
`static int` | `I2D` Floating point instructions.
`static int` | `I2F` Floating point instructions.
`static int` | `I2L` Non-floating point instructions.
`static int` | `I2S` Non-floating point instructions.
`static int` | `IF_CMPEQ_I` Non-floating point instructions.
`static int` | `IF_CMPEQ_I_WIDE` Non-floating point instructions.
`static int` | `IF_CMPEQ_L` Non-floating point instructions.
`static int` | `IF_CMPEQ_L_WIDE` Non-floating point instructions.
`static int` | `IF_CMPEQ_O` Non-floating point instructions.
`static int` | `IF_CMPEQ_O_WIDE` Non-floating point instructions.
`static int` | `IF_CMPGE_I` Non-floating point instructions.
`static int` | `IF_CMPGE_I_WIDE` Non-floating point instructions.
`static int` | `IF_CMPGE_L` Non-floating point instructions.
`static int` | `IF_CMPGE_L_WIDE` Non-floating point instructions.
`static int` | `IF_CMPGT_I` Non-floating point instructions.
`static int` | `IF_CMPGT_I_WIDE` Non-floating point instructions.
`static int` | `IF_CMPGT_L` Non-floating point instructions.
`static int` | `IF_CMPGT_L_WIDE` Non-floating point instructions.
`static int` | `IF_CMPLE_I` Non-floating point instructions.
`static int` | `IF_CMPLE_I_WIDE` Non-floating point instructions.
`static int` | `IF_CMPLE_L` Non-floating point instructions.
`static int` | `IF_CMPLE_L_WIDE` Non-floating point instructions.
`static int` | `IF_CMPLT_I` Non-floating point instructions.
`static int` | `IF_CMPLT_I_WIDE` Non-floating point instructions.
`static int` | `IF_CMPLT_L` Non-floating point instructions.
`static int` | `IF_CMPLT_L_WIDE` Non-floating point instructions.
`static int` | `IF_CMPNE_I` Non-floating point instructions.
`static int` | `IF_CMPNE_I_WIDE` Non-floating point instructions.
`static int` | `IF_CMPNE_L` Non-floating point instructions.
`static int` | `IF_CMPNE_L_WIDE` Non-floating point instructions.
`static int` | `IF_CMPNE_O` Non-floating point instructions.
`static int` | `IF_CMPNE_O_WIDE` Non-floating point instructions.
`static int` | `IF_EQ_I` Non-floating point instructions.
`static int` | `IF_EQ_I_WIDE` Non-floating point instructions.
`static int` | `IF_EQ_L` Non-floating point instructions.
`static int` | `IF_EQ_L_WIDE` Non-floating point instructions.
`static int` | `IF_EQ_O` Non-floating point instructions.
`static int` | `IF_EQ_O_WIDE` Non-floating point instructions.
`static int` | `IF_GE_I` Non-floating point instructions.
`static int` | `IF_GE_I_WIDE` Non-floating point instructions.
`static int` | `IF_GE_L` Non-floating point instructions.
`static int` | `IF_GE_L_WIDE` Non-floating point instructions.
`static int` | `IF_GT_I` Non-floating point instructions.
`static int` | `IF_GT_I_WIDE` Non-floating point instructions.
`static int` | `IF_GT_L` Non-floating point instructions.
`static int` | `IF_GT_L_WIDE` Non-floating point instructions.
`static int` | `IF_LE_I` Non-floating point instructions.
`static int` | `IF_LE_I_WIDE` Non-floating point instructions.
`static int` | `IF_LE_L` Non-floating point instructions.
`static int` | `IF_LE_L_WIDE` Non-floating point instructions.
`static int` | `IF_LT_I` Non-floating point instructions.
`static int` | `IF_LT_I_WIDE` Non-floating point instructions.
`static int` | `IF_LT_L` Non-floating point instructions.
`static int` | `IF_LT_L_WIDE` Non-floating point instructions.
`static int` | `IF_NE_I` Non-floating point instructions.
`static int` | `IF_NE_I_WIDE` Non-floating point instructions.
`static int` | `IF_NE_L` Non-floating point instructions.
`static int` | `IF_NE_L_WIDE` Non-floating point instructions.
`static int` | `IF_NE_O` Non-floating point instructions.
`static int` | `IF_NE_O_WIDE` Non-floating point instructions.
`static int` | `INC` Non-floating point instructions.
`static int` | `INC_WIDE` Non-floating point instructions.
`static int` | `INCPARM` Non-floating point instructions.
`static int` | `INCPARM_WIDE` Non-floating point instructions.
`static int` | `INSTANCEOF` Non-floating point instructions.
`static int` | `INVOKENATIVE_D` Floating point instructions.
`static int` | `INVOKENATIVE_D_WIDE` Floating point instructions.
`static int` | `INVOKENATIVE_F` Floating point instructions.
`static int` | `INVOKENATIVE_F_WIDE` Floating point instructions.
`static int` | `INVOKENATIVE_I` Non-floating point instructions.
`static int` | `INVOKENATIVE_I_WIDE` Non-floating point instructions.
`static int` | `INVOKENATIVE_L` Non-floating point instructions.
`static int` | `INVOKENATIVE_L_WIDE` Non-floating point instructions.
`static int` | `INVOKENATIVE_O` Non-floating point instructions.
`static int` | `INVOKENATIVE_O_WIDE` Non-floating point instructions.
`static int` | `INVOKENATIVE_V` Non-floating point instructions.
`static int` | `INVOKENATIVE_V_WIDE` Non-floating point instructions.
`static int` | `INVOKESLOT_D` Floating point instructions.
`static int` | `INVOKESLOT_F` Floating point instructions.
`static int` | `INVOKESLOT_I` Non-floating point instructions.
`static int` | `INVOKESLOT_L` Non-floating point instructions.
`static int` | `INVOKESLOT_O` Non-floating point instructions.
`static int` | `INVOKESLOT_V` Non-floating point instructions.
`static int` | `INVOKESTATIC_D` Floating point instructions.
`static int` | `INVOKESTATIC_D_WIDE` Floating point instructions.
`static int` | `INVOKESTATIC_F` Floating point instructions.
`static int` | `INVOKESTATIC_F_WIDE` Floating point instructions.
`static int` | `INVOKESTATIC_I` Non-floating point instructions.
`static int` | `INVOKESTATIC_I_WIDE` Non-floating point instructions.
`static int` | `INVOKESTATIC_L` Non-floating point instructions.
`static int` | `INVOKESTATIC_L_WIDE` Non-floating point instructions.
`static int` | `INVOKESTATIC_O` Non-floating point instructions.
`static int` | `INVOKESTATIC_O_WIDE` Non-floating point instructions.
`static int` | `INVOKESTATIC_V` Non-floating point instructions.
`static int` | `INVOKESTATIC_V_WIDE` Non-floating point instructions.
`static int` | `INVOKESUPER_D` Floating point instructions.
`static int` | `INVOKESUPER_D_WIDE` Floating point instructions.
`static int` | `INVOKESUPER_F` Floating point instructions.
`static int` | `INVOKESUPER_F_WIDE` Floating point instructions.
`static int` | `INVOKESUPER_I` Non-floating point instructions.
`static int` | `INVOKESUPER_I_WIDE` Non-floating point instructions.
`static int` | `INVOKESUPER_L` Non-floating point instructions.
`static int` | `INVOKESUPER_L_WIDE` Non-floating point instructions.
`static int` | `INVOKESUPER_O` Non-floating point instructions.
`static int` | `INVOKESUPER_O_WIDE` Non-floating point instructions.
`static int` | `INVOKESUPER_V` Non-floating point instructions.
`static int` | `INVOKESUPER_V_WIDE` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_D` Floating point instructions.
`static int` | `INVOKEVIRTUAL_D_WIDE` Floating point instructions.
`static int` | `INVOKEVIRTUAL_F` Floating point instructions.
`static int` | `INVOKEVIRTUAL_F_WIDE` Floating point instructions.
`static int` | `INVOKEVIRTUAL_I` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_I_WIDE` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_L` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_L_WIDE` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_O` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_O_WIDE` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_V` Non-floating point instructions.
`static int` | `INVOKEVIRTUAL_V_WIDE` Non-floating point instructions.
`static int` | `L2D` Floating point instructions.
`static int` | `L2F` Floating point instructions.
`static int` | `L2I` Non-floating point instructions.
`static int` | `LOAD` Non-floating point instructions.
`static int` | `LOAD_0` Non-floating point instructions.
`static int` | `LOAD_1` Non-floating point instructions.
`static int` | `LOAD_10` Non-floating point instructions.
`static int` | `LOAD_11` Non-floating point instructions.
`static int` | `LOAD_12` Non-floating point instructions.
`static int` | `LOAD_13` Non-floating point instructions.
`static int` | `LOAD_14` Non-floating point instructions.
`static int` | `LOAD_15` Non-floating point instructions.
`static int` | `LOAD_2` Non-floating point instructions.
`static int` | `LOAD_3` Non-floating point instructions.
`static int` | `LOAD_4` Non-floating point instructions.
`static int` | `LOAD_5` Non-floating point instructions.
`static int` | `LOAD_6` Non-floating point instructions.
`static int` | `LOAD_7` Non-floating point instructions.
`static int` | `LOAD_8` Non-floating point instructions.
`static int` | `LOAD_9` Non-floating point instructions.
`static int` | `LOAD_I2` Non-floating point instructions.
`static int` | `LOAD_I2_WIDE` Non-floating point instructions.
`static int` | `LOAD_WIDE` Non-floating point instructions.
`static int` | `LOADPARM` Non-floating point instructions.
`static int` | `LOADPARM_0` Non-floating point instructions.
`static int` | `LOADPARM_1` Non-floating point instructions.
`static int` | `LOADPARM_2` Non-floating point instructions.
`static int` | `LOADPARM_3` Non-floating point instructions.
`static int` | `LOADPARM_4` Non-floating point instructions.
`static int` | `LOADPARM_5` Non-floating point instructions.
`static int` | `LOADPARM_6` Non-floating point instructions.
`static int` | `LOADPARM_7` Non-floating point instructions.
`static int` | `LOADPARM_I2` Non-floating point instructions.
`static int` | `LOADPARM_I2_WIDE` Non-floating point instructions.
`static int` | `LOADPARM_WIDE` Non-floating point instructions.
`static int` | `LOOKUP_B` Non-floating point instructions.
`static int` | `LOOKUP_I` Non-floating point instructions.
`static int` | `LOOKUP_S` Non-floating point instructions.
`static int` | `MONITORENTER` Non-floating point instructions.
`static int` | `MONITOREXIT` Non-floating point instructions.
`static int` | `MUL_D` Floating point instructions.
`static int` | `MUL_F` Floating point instructions.
`static int` | `MUL_I` Non-floating point instructions.
`static int` | `MUL_L` Non-floating point instructions.
`static int` | `NEG_D` Floating point instructions.
`static int` | `NEG_F` Floating point instructions.
`static int` | `NEG_I` Non-floating point instructions.
`static int` | `NEG_L` Non-floating point instructions.
`static int` | `NEW` Non-floating point instructions.
`static int` | `NEWARRAY` Non-floating point instructions.
`static int` | `NEWDIMENSION` Non-floating point instructions.
`static int` | `OBJECT` Non-floating point instructions.
`static int` | `OBJECT_0` Non-floating point instructions.
`static int` | `OBJECT_1` Non-floating point instructions.
`static int` | `OBJECT_10` Non-floating point instructions.
`static int` | `OBJECT_11` Non-floating point instructions.
`static int` | `OBJECT_12` Non-floating point instructions.
`static int` | `OBJECT_13` Non-floating point instructions.
`static int` | `OBJECT_14` Non-floating point instructions.
`static int` | `OBJECT_15` Non-floating point instructions.
`static int` | `OBJECT_2` Non-floating point instructions.
`static int` | `OBJECT_3` Non-floating point instructions.
`static int` | `OBJECT_4` Non-floating point instructions.
`static int` | `OBJECT_5` Non-floating point instructions.
`static int` | `OBJECT_6` Non-floating point instructions.
`static int` | `OBJECT_7` Non-floating point instructions.
`static int` | `OBJECT_8` Non-floating point instructions.
`static int` | `OBJECT_9` Non-floating point instructions.
`static int` | `OBJECT_WIDE` Non-floating point instructions.
`static int` | `OR_I` Non-floating point instructions.
`static int` | `OR_L` Non-floating point instructions.
`static int` | `PAUSE` Non-floating point instructions.
`static int` | `POP_1` Non-floating point instructions.
`static int` | `POP_2` Non-floating point instructions.
`static int` | `PUTFIELD_B` Non-floating point instructions.
`static int` | `PUTFIELD_B_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD_D` Floating point instructions.
`static int` | `PUTFIELD_D_WIDE` Floating point instructions.
`static int` | `PUTFIELD_F` Floating point instructions.
`static int` | `PUTFIELD_F_WIDE` Floating point instructions.
`static int` | `PUTFIELD_I` Non-floating point instructions.
`static int` | `PUTFIELD_I_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD_L` Non-floating point instructions.
`static int` | `PUTFIELD_L_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD_O` Non-floating point instructions.
`static int` | `PUTFIELD_O_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD_S` Non-floating point instructions.
`static int` | `PUTFIELD_S_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD0_B` Non-floating point instructions.
`static int` | `PUTFIELD0_B_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD0_D` Floating point instructions.
`static int` | `PUTFIELD0_D_WIDE` Floating point instructions.
`static int` | `PUTFIELD0_F` Floating point instructions.
`static int` | `PUTFIELD0_F_WIDE` Floating point instructions.
`static int` | `PUTFIELD0_I` Non-floating point instructions.
`static int` | `PUTFIELD0_I_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD0_L` Non-floating point instructions.
`static int` | `PUTFIELD0_L_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD0_O` Non-floating point instructions.
`static int` | `PUTFIELD0_O_WIDE` Non-floating point instructions.
`static int` | `PUTFIELD0_S` Non-floating point instructions.
`static int` | `PUTFIELD0_S_WIDE` Non-floating point instructions.
`static int` | `PUTSTATIC_D` Floating point instructions.
`static int` | `PUTSTATIC_D_WIDE` Floating point instructions.
`static int` | `PUTSTATIC_F` Floating point instructions.
`static int` | `PUTSTATIC_F_WIDE` Floating point instructions.
`static int` | `PUTSTATIC_I` Non-floating point instructions.
`static int` | `PUTSTATIC_I_WIDE` Non-floating point instructions.
`static int` | `PUTSTATIC_L` Non-floating point instructions.
`static int` | `PUTSTATIC_L_WIDE` Non-floating point instructions.
`static int` | `PUTSTATIC_O` Non-floating point instructions.
`static int` | `PUTSTATIC_O_WIDE` Non-floating point instructions.
`static int` | `REM_D` Floating point instructions.
`static int` | `REM_F` Floating point instructions.
`static int` | `REM_I` Non-floating point instructions.
`static int` | `REM_L` Non-floating point instructions.
`static int` | `RETURN_D` Floating point instructions.
`static int` | `RETURN_F` Floating point instructions.
`static int` | `RETURN_I` Non-floating point instructions.
`static int` | `RETURN_L` Non-floating point instructions.
`static int` | `RETURN_O` Non-floating point instructions.
`static int` | `RETURN_V` Non-floating point instructions.
`static int` | `SHL_I` Non-floating point instructions.
`static int` | `SHL_L` Non-floating point instructions.
`static int` | `SHR_I` Non-floating point instructions.
`static int` | `SHR_L` Non-floating point instructions.
`static int` | `STORE` Non-floating point instructions.
`static int` | `STORE_0` Non-floating point instructions.
`static int` | `STORE_1` Non-floating point instructions.
`static int` | `STORE_10` Non-floating point instructions.
`static int` | `STORE_11` Non-floating point instructions.
`static int` | `STORE_12` Non-floating point instructions.
`static int` | `STORE_13` Non-floating point instructions.
`static int` | `STORE_14` Non-floating point instructions.
`static int` | `STORE_15` Non-floating point instructions.
`static int` | `STORE_2` Non-floating point instructions.
`static int` | `STORE_3` Non-floating point instructions.
`static int` | `STORE_4` Non-floating point instructions.
`static int` | `STORE_5` Non-floating point instructions.
`static int` | `STORE_6` Non-floating point instructions.
`static int` | `STORE_7` Non-floating point instructions.
`static int` | `STORE_8` Non-floating point instructions.
`static int` | `STORE_9` Non-floating point instructions.
`static int` | `STORE_I2` Non-floating point instructions.
`static int` | `STORE_I2_WIDE` Non-floating point instructions.
`static int` | `STORE_WIDE` Non-floating point instructions.
`static int` | `STOREPARM` Non-floating point instructions.
`static int` | `STOREPARM_I2` Non-floating point instructions.
`static int` | `STOREPARM_I2_WIDE` Non-floating point instructions.
`static int` | `STOREPARM_WIDE` Non-floating point instructions.
`static int` | `SUB_D` Floating point instructions.
`static int` | `SUB_F` Floating point instructions.
`static int` | `SUB_I` Non-floating point instructions.
`static int` | `SUB_L` Non-floating point instructions.
`static int` | `TABLESWITCH_I` Non-floating point instructions.
`static int` | `TABLESWITCH_S` Non-floating point instructions.
`static int` | `THROW` Non-floating point instructions.
`static int` | `USHR_I` Non-floating point instructions.
`static int` | `USHR_L` Non-floating point instructions.
`static int` | `WIDE_0` Non-floating point instructions.
`static int` | `WIDE_1` Non-floating point instructions.
`static int` | `WIDE_INT` Non-floating point instructions.
`static int` | `WIDE_M1` Non-floating point instructions.
`static int` | `WIDE_SHORT` Non-floating point instructions.
`static int` | `XOR_I` Non-floating point instructions.
`static int` | `XOR_L` Non-floating point instructions.

Constructor Summary
`OPC()`

Method Summary
`static int` | `getSize(int opcode)` Gets the size (in bytes) of an instruction based on a given opcode.
`static boolean` | `hasWide(int opcode)` Determines if a given opcode has a wide version.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONST_0

    public static final int CONST_0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_1

    public static final int CONST_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_2

    public static final int CONST_2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_3

    public static final int CONST_3

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_4

    public static final int CONST_4

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_5

    public static final int CONST_5

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_6

    public static final int CONST_6

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_7

    public static final int CONST_7

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_8

    public static final int CONST_8

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_9

    public static final int CONST_9

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_10

    public static final int CONST_10

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_11

    public static final int CONST_11

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_12

    public static final int CONST_12

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_13

    public static final int CONST_13

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_14

    public static final int CONST_14

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_15

    public static final int CONST_15

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_0

    public static final int OBJECT_0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_1

    public static final int OBJECT_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_2

    public static final int OBJECT_2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_3

    public static final int OBJECT_3

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_4

    public static final int OBJECT_4

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_5

    public static final int OBJECT_5

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_6

    public static final int OBJECT_6

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_7

    public static final int OBJECT_7

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_8

    public static final int OBJECT_8

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_9

    public static final int OBJECT_9

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_10

    public static final int OBJECT_10

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_11

    public static final int OBJECT_11

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_12

    public static final int OBJECT_12

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_13

    public static final int OBJECT_13

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_14

    public static final int OBJECT_14

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_15

    public static final int OBJECT_15

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_0

    public static final int LOAD_0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_1

    public static final int LOAD_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_2

    public static final int LOAD_2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_3

    public static final int LOAD_3

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_4

    public static final int LOAD_4

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_5

    public static final int LOAD_5

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_6

    public static final int LOAD_6

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_7

    public static final int LOAD_7

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_8

    public static final int LOAD_8

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_9

    public static final int LOAD_9

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_10

    public static final int LOAD_10

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_11

    public static final int LOAD_11

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_12

    public static final int LOAD_12

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_13

    public static final int LOAD_13

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_14

    public static final int LOAD_14

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_15

    public static final int LOAD_15

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_0

    public static final int STORE_0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_1

    public static final int STORE_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_2

    public static final int STORE_2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_3

    public static final int STORE_3

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_4

    public static final int STORE_4

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_5

    public static final int STORE_5

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_6

    public static final int STORE_6

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_7

    public static final int STORE_7

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_8

    public static final int STORE_8

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_9

    public static final int STORE_9

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_10

    public static final int STORE_10

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_11

    public static final int STORE_11

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_12

    public static final int STORE_12

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_13

    public static final int STORE_13

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_14

    public static final int STORE_14

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_15

    public static final int STORE_15

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_0

    public static final int LOADPARM_0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_1

    public static final int LOADPARM_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_2

    public static final int LOADPARM_2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_3

    public static final int LOADPARM_3

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_4

    public static final int LOADPARM_4

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_5

    public static final int LOADPARM_5

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_6

    public static final int LOADPARM_6

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_7

    public static final int LOADPARM_7

  Non-floating point instructions.

  See Also:
    Constant Field Values

### WIDE_M1

    public static final int WIDE_M1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### WIDE_0

    public static final int WIDE_0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### WIDE_1

    public static final int WIDE_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### WIDE_SHORT

    public static final int WIDE_SHORT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### WIDE_INT

    public static final int WIDE_INT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ESCAPE

    public static final int ESCAPE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ESCAPE_WIDE_M1

    public static final int ESCAPE_WIDE_M1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ESCAPE_WIDE_0

    public static final int ESCAPE_WIDE_0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ESCAPE_WIDE_1

    public static final int ESCAPE_WIDE_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ESCAPE_WIDE_SHORT

    public static final int ESCAPE_WIDE_SHORT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ESCAPE_WIDE_INT

    public static final int ESCAPE_WIDE_INT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CATCH

    public static final int CATCH

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_NULL

    public static final int CONST_NULL

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_M1

    public static final int CONST_M1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_BYTE

    public static final int CONST_BYTE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_SHORT

    public static final int CONST_SHORT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_CHAR

    public static final int CONST_CHAR

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_INT

    public static final int CONST_INT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CONST_LONG

    public static final int CONST_LONG

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT

    public static final int OBJECT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD

    public static final int LOAD

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_I2

    public static final int LOAD_I2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE

    public static final int STORE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_I2

    public static final int STORE_I2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM

    public static final int LOADPARM

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_I2

    public static final int LOADPARM_I2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STOREPARM

    public static final int STOREPARM

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STOREPARM_I2

    public static final int STOREPARM_I2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INC

    public static final int INC

  Non-floating point instructions.

  See Also:
    Constant Field Values

### DEC

    public static final int DEC

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INCPARM

    public static final int INCPARM

  Non-floating point instructions.

  See Also:
    Constant Field Values

### DECPARM

    public static final int DECPARM

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GOTO

    public static final int GOTO

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_EQ_O

    public static final int IF_EQ_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_NE_O

    public static final int IF_NE_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPEQ_O

    public static final int IF_CMPEQ_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPNE_O

    public static final int IF_CMPNE_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_EQ_I

    public static final int IF_EQ_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_NE_I

    public static final int IF_NE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LT_I

    public static final int IF_LT_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LE_I

    public static final int IF_LE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GT_I

    public static final int IF_GT_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GE_I

    public static final int IF_GE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPEQ_I

    public static final int IF_CMPEQ_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPNE_I

    public static final int IF_CMPNE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLT_I

    public static final int IF_CMPLT_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLE_I

    public static final int IF_CMPLE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGT_I

    public static final int IF_CMPGT_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGE_I

    public static final int IF_CMPGE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_EQ_L

    public static final int IF_EQ_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_NE_L

    public static final int IF_NE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LT_L

    public static final int IF_LT_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LE_L

    public static final int IF_LE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GT_L

    public static final int IF_GT_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GE_L

    public static final int IF_GE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPEQ_L

    public static final int IF_CMPEQ_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPNE_L

    public static final int IF_CMPNE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLT_L

    public static final int IF_CMPLT_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLE_L

    public static final int IF_CMPLE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGT_L

    public static final int IF_CMPGT_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGE_L

    public static final int IF_CMPGE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_I

    public static final int GETSTATIC_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_O

    public static final int GETSTATIC_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_L

    public static final int GETSTATIC_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_I

    public static final int CLASS_GETSTATIC_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_O

    public static final int CLASS_GETSTATIC_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_L

    public static final int CLASS_GETSTATIC_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_I

    public static final int PUTSTATIC_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_O

    public static final int PUTSTATIC_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_L

    public static final int PUTSTATIC_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_I

    public static final int CLASS_PUTSTATIC_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_O

    public static final int CLASS_PUTSTATIC_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_L

    public static final int CLASS_PUTSTATIC_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_I

    public static final int GETFIELD_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_B

    public static final int GETFIELD_B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_S

    public static final int GETFIELD_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_C

    public static final int GETFIELD_C

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_O

    public static final int GETFIELD_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_L

    public static final int GETFIELD_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_I

    public static final int GETFIELD0_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_B

    public static final int GETFIELD0_B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_S

    public static final int GETFIELD0_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_C

    public static final int GETFIELD0_C

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_O

    public static final int GETFIELD0_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_L

    public static final int GETFIELD0_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_I

    public static final int PUTFIELD_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_B

    public static final int PUTFIELD_B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_S

    public static final int PUTFIELD_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_O

    public static final int PUTFIELD_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_L

    public static final int PUTFIELD_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_I

    public static final int PUTFIELD0_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_B

    public static final int PUTFIELD0_B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_S

    public static final int PUTFIELD0_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_O

    public static final int PUTFIELD0_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_L

    public static final int PUTFIELD0_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_I

    public static final int INVOKEVIRTUAL_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_V

    public static final int INVOKEVIRTUAL_V

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_L

    public static final int INVOKEVIRTUAL_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_O

    public static final int INVOKEVIRTUAL_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_I

    public static final int INVOKESTATIC_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_V

    public static final int INVOKESTATIC_V

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_L

    public static final int INVOKESTATIC_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_O

    public static final int INVOKESTATIC_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_I

    public static final int INVOKESUPER_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_V

    public static final int INVOKESUPER_V

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_L

    public static final int INVOKESUPER_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_O

    public static final int INVOKESUPER_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_I

    public static final int INVOKENATIVE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_V

    public static final int INVOKENATIVE_V

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_L

    public static final int INVOKENATIVE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_O

    public static final int INVOKENATIVE_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### FINDSLOT

    public static final int FINDSLOT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### EXTEND

    public static final int EXTEND

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESLOT_I

    public static final int INVOKESLOT_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESLOT_V

    public static final int INVOKESLOT_V

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESLOT_L

    public static final int INVOKESLOT_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESLOT_O

    public static final int INVOKESLOT_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### RETURN_V

    public static final int RETURN_V

  Non-floating point instructions.

  See Also:
    Constant Field Values

### RETURN_I

    public static final int RETURN_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### RETURN_L

    public static final int RETURN_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### RETURN_O

    public static final int RETURN_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### TABLESWITCH_I

    public static final int TABLESWITCH_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### TABLESWITCH_S

    public static final int TABLESWITCH_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### EXTEND0

    public static final int EXTEND0

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ADD_I

    public static final int ADD_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### SUB_I

    public static final int SUB_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### AND_I

    public static final int AND_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OR_I

    public static final int OR_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### XOR_I

    public static final int XOR_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### SHL_I

    public static final int SHL_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### SHR_I

    public static final int SHR_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### USHR_I

    public static final int USHR_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### MUL_I

    public static final int MUL_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### DIV_I

    public static final int DIV_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### REM_I

    public static final int REM_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### NEG_I

    public static final int NEG_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### I2B

    public static final int I2B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### I2S

    public static final int I2S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### I2C

    public static final int I2C

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ADD_L

    public static final int ADD_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### SUB_L

    public static final int SUB_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### MUL_L

    public static final int MUL_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### DIV_L

    public static final int DIV_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### REM_L

    public static final int REM_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### AND_L

    public static final int AND_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OR_L

    public static final int OR_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### XOR_L

    public static final int XOR_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### NEG_L

    public static final int NEG_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### SHL_L

    public static final int SHL_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### SHR_L

    public static final int SHR_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### USHR_L

    public static final int USHR_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### L2I

    public static final int L2I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### I2L

    public static final int I2L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### THROW

    public static final int THROW

  Non-floating point instructions.

  See Also:
    Constant Field Values

### POP_1

    public static final int POP_1

  Non-floating point instructions.

  See Also:
    Constant Field Values

### POP_2

    public static final int POP_2

  Non-floating point instructions.

  See Also:
    Constant Field Values

### MONITORENTER

    public static final int MONITORENTER

  Non-floating point instructions.

  See Also:
    Constant Field Values

### MONITOREXIT

    public static final int MONITOREXIT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_MONITORENTER

    public static final int CLASS_MONITORENTER

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_MONITOREXIT

    public static final int CLASS_MONITOREXIT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ARRAYLENGTH

    public static final int ARRAYLENGTH

  Non-floating point instructions.

  See Also:
    Constant Field Values

### NEW

    public static final int NEW

  Non-floating point instructions.

  See Also:
    Constant Field Values

### NEWARRAY

    public static final int NEWARRAY

  Non-floating point instructions.

  See Also:
    Constant Field Values

### NEWDIMENSION

    public static final int NEWDIMENSION

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_CLINIT

    public static final int CLASS_CLINIT

  Non-floating point instructions.

  See Also:
    Constant Field Values

### BBTARGET_SYS

    public static final int BBTARGET_SYS

  Non-floating point instructions.

  See Also:
    Constant Field Values

### BBTARGET_APP

    public static final int BBTARGET_APP

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INSTANCEOF

    public static final int INSTANCEOF

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CHECKCAST

    public static final int CHECKCAST

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_I

    public static final int ALOAD_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_B

    public static final int ALOAD_B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_S

    public static final int ALOAD_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_C

    public static final int ALOAD_C

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_O

    public static final int ALOAD_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_L

    public static final int ALOAD_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ASTORE_I

    public static final int ASTORE_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ASTORE_B

    public static final int ASTORE_B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ASTORE_S

    public static final int ASTORE_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ASTORE_O

    public static final int ASTORE_O

  Non-floating point instructions.

  See Also:
    Constant Field Values

### ASTORE_L

    public static final int ASTORE_L

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOOKUP_I

    public static final int LOOKUP_I

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOOKUP_B

    public static final int LOOKUP_B

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOOKUP_S

    public static final int LOOKUP_S

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PAUSE

    public static final int PAUSE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### OBJECT_WIDE

    public static final int OBJECT_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_WIDE

    public static final int LOAD_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOAD_I2_WIDE

    public static final int LOAD_I2_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_WIDE

    public static final int STORE_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STORE_I2_WIDE

    public static final int STORE_I2_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_WIDE

    public static final int LOADPARM_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### LOADPARM_I2_WIDE

    public static final int LOADPARM_I2_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STOREPARM_WIDE

    public static final int STOREPARM_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### STOREPARM_I2_WIDE

    public static final int STOREPARM_I2_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INC_WIDE

    public static final int INC_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### DEC_WIDE

    public static final int DEC_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INCPARM_WIDE

    public static final int INCPARM_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### DECPARM_WIDE

    public static final int DECPARM_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GOTO_WIDE

    public static final int GOTO_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_EQ_O_WIDE

    public static final int IF_EQ_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_NE_O_WIDE

    public static final int IF_NE_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPEQ_O_WIDE

    public static final int IF_CMPEQ_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPNE_O_WIDE

    public static final int IF_CMPNE_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_EQ_I_WIDE

    public static final int IF_EQ_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_NE_I_WIDE

    public static final int IF_NE_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LT_I_WIDE

    public static final int IF_LT_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LE_I_WIDE

    public static final int IF_LE_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GT_I_WIDE

    public static final int IF_GT_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GE_I_WIDE

    public static final int IF_GE_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPEQ_I_WIDE

    public static final int IF_CMPEQ_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPNE_I_WIDE

    public static final int IF_CMPNE_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLT_I_WIDE

    public static final int IF_CMPLT_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLE_I_WIDE

    public static final int IF_CMPLE_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGT_I_WIDE

    public static final int IF_CMPGT_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGE_I_WIDE

    public static final int IF_CMPGE_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_EQ_L_WIDE

    public static final int IF_EQ_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_NE_L_WIDE

    public static final int IF_NE_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LT_L_WIDE

    public static final int IF_LT_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_LE_L_WIDE

    public static final int IF_LE_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GT_L_WIDE

    public static final int IF_GT_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_GE_L_WIDE

    public static final int IF_GE_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPEQ_L_WIDE

    public static final int IF_CMPEQ_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPNE_L_WIDE

    public static final int IF_CMPNE_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLT_L_WIDE

    public static final int IF_CMPLT_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPLE_L_WIDE

    public static final int IF_CMPLE_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGT_L_WIDE

    public static final int IF_CMPGT_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### IF_CMPGE_L_WIDE

    public static final int IF_CMPGE_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_I_WIDE

    public static final int GETSTATIC_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_O_WIDE

    public static final int GETSTATIC_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_L_WIDE

    public static final int GETSTATIC_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_I_WIDE

    public static final int CLASS_GETSTATIC_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_O_WIDE

    public static final int CLASS_GETSTATIC_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_L_WIDE

    public static final int CLASS_GETSTATIC_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_I_WIDE

    public static final int PUTSTATIC_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_O_WIDE

    public static final int PUTSTATIC_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_L_WIDE

    public static final int PUTSTATIC_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_I_WIDE

    public static final int CLASS_PUTSTATIC_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_O_WIDE

    public static final int CLASS_PUTSTATIC_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_L_WIDE

    public static final int CLASS_PUTSTATIC_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_I_WIDE

    public static final int GETFIELD_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_B_WIDE

    public static final int GETFIELD_B_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_S_WIDE

    public static final int GETFIELD_S_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_C_WIDE

    public static final int GETFIELD_C_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_O_WIDE

    public static final int GETFIELD_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_L_WIDE

    public static final int GETFIELD_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_I_WIDE

    public static final int GETFIELD0_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_B_WIDE

    public static final int GETFIELD0_B_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_S_WIDE

    public static final int GETFIELD0_S_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_C_WIDE

    public static final int GETFIELD0_C_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_O_WIDE

    public static final int GETFIELD0_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_L_WIDE

    public static final int GETFIELD0_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_I_WIDE

    public static final int PUTFIELD_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_B_WIDE

    public static final int PUTFIELD_B_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_S_WIDE

    public static final int PUTFIELD_S_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_O_WIDE

    public static final int PUTFIELD_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_L_WIDE

    public static final int PUTFIELD_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_I_WIDE

    public static final int PUTFIELD0_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_B_WIDE

    public static final int PUTFIELD0_B_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_S_WIDE

    public static final int PUTFIELD0_S_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_O_WIDE

    public static final int PUTFIELD0_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_L_WIDE

    public static final int PUTFIELD0_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_I_WIDE

    public static final int INVOKEVIRTUAL_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_V_WIDE

    public static final int INVOKEVIRTUAL_V_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_L_WIDE

    public static final int INVOKEVIRTUAL_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_O_WIDE

    public static final int INVOKEVIRTUAL_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_I_WIDE

    public static final int INVOKESTATIC_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_V_WIDE

    public static final int INVOKESTATIC_V_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_L_WIDE

    public static final int INVOKESTATIC_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_O_WIDE

    public static final int INVOKESTATIC_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_I_WIDE

    public static final int INVOKESUPER_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_V_WIDE

    public static final int INVOKESUPER_V_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_L_WIDE

    public static final int INVOKESUPER_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_O_WIDE

    public static final int INVOKESUPER_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_I_WIDE

    public static final int INVOKENATIVE_I_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_V_WIDE

    public static final int INVOKENATIVE_V_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_L_WIDE

    public static final int INVOKENATIVE_L_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_O_WIDE

    public static final int INVOKENATIVE_O_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### FINDSLOT_WIDE

    public static final int FINDSLOT_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### EXTEND_WIDE

    public static final int EXTEND_WIDE

  Non-floating point instructions.

  See Also:
    Constant Field Values

### FCMPL

    public static final int FCMPL

  Floating point instructions.

  See Also:
    Constant Field Values

### FCMPG

    public static final int FCMPG

  Floating point instructions.

  See Also:
    Constant Field Values

### DCMPL

    public static final int DCMPL

  Floating point instructions.

  See Also:
    Constant Field Values

### DCMPG

    public static final int DCMPG

  Floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_F

    public static final int GETSTATIC_F

  Floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_D

    public static final int GETSTATIC_D

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_F

    public static final int CLASS_GETSTATIC_F

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_D

    public static final int CLASS_GETSTATIC_D

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_F

    public static final int PUTSTATIC_F

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_D

    public static final int PUTSTATIC_D

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_F

    public static final int CLASS_PUTSTATIC_F

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_D

    public static final int CLASS_PUTSTATIC_D

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_F

    public static final int GETFIELD_F

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_D

    public static final int GETFIELD_D

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_F

    public static final int GETFIELD0_F

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_D

    public static final int GETFIELD0_D

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_F

    public static final int PUTFIELD_F

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_D

    public static final int PUTFIELD_D

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_F

    public static final int PUTFIELD0_F

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_D

    public static final int PUTFIELD0_D

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_F

    public static final int INVOKEVIRTUAL_F

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_D

    public static final int INVOKEVIRTUAL_D

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_F

    public static final int INVOKESTATIC_F

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_D

    public static final int INVOKESTATIC_D

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_F

    public static final int INVOKESUPER_F

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_D

    public static final int INVOKESUPER_D

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_F

    public static final int INVOKENATIVE_F

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_D

    public static final int INVOKENATIVE_D

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESLOT_F

    public static final int INVOKESLOT_F

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESLOT_D

    public static final int INVOKESLOT_D

  Floating point instructions.

  See Also:
    Constant Field Values

### RETURN_F

    public static final int RETURN_F

  Floating point instructions.

  See Also:
    Constant Field Values

### RETURN_D

    public static final int RETURN_D

  Floating point instructions.

  See Also:
    Constant Field Values

### CONST_FLOAT

    public static final int CONST_FLOAT

  Floating point instructions.

  See Also:
    Constant Field Values

### CONST_DOUBLE

    public static final int CONST_DOUBLE

  Floating point instructions.

  See Also:
    Constant Field Values

### ADD_F

    public static final int ADD_F

  Floating point instructions.

  See Also:
    Constant Field Values

### SUB_F

    public static final int SUB_F

  Floating point instructions.

  See Also:
    Constant Field Values

### MUL_F

    public static final int MUL_F

  Floating point instructions.

  See Also:
    Constant Field Values

### DIV_F

    public static final int DIV_F

  Floating point instructions.

  See Also:
    Constant Field Values

### REM_F

    public static final int REM_F

  Floating point instructions.

  See Also:
    Constant Field Values

### NEG_F

    public static final int NEG_F

  Floating point instructions.

  See Also:
    Constant Field Values

### ADD_D

    public static final int ADD_D

  Floating point instructions.

  See Also:
    Constant Field Values

### SUB_D

    public static final int SUB_D

  Floating point instructions.

  See Also:
    Constant Field Values

### MUL_D

    public static final int MUL_D

  Floating point instructions.

  See Also:
    Constant Field Values

### DIV_D

    public static final int DIV_D

  Floating point instructions.

  See Also:
    Constant Field Values

### REM_D

    public static final int REM_D

  Floating point instructions.

  See Also:
    Constant Field Values

### NEG_D

    public static final int NEG_D

  Floating point instructions.

  See Also:
    Constant Field Values

### I2F

    public static final int I2F

  Floating point instructions.

  See Also:
    Constant Field Values

### L2F

    public static final int L2F

  Floating point instructions.

  See Also:
    Constant Field Values

### F2I

    public static final int F2I

  Floating point instructions.

  See Also:
    Constant Field Values

### F2L

    public static final int F2L

  Floating point instructions.

  See Also:
    Constant Field Values

### I2D

    public static final int I2D

  Floating point instructions.

  See Also:
    Constant Field Values

### L2D

    public static final int L2D

  Floating point instructions.

  See Also:
    Constant Field Values

### F2D

    public static final int F2D

  Floating point instructions.

  See Also:
    Constant Field Values

### D2I

    public static final int D2I

  Floating point instructions.

  See Also:
    Constant Field Values

### D2L

    public static final int D2L

  Floating point instructions.

  See Also:
    Constant Field Values

### D2F

    public static final int D2F

  Floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_F

    public static final int ALOAD_F

  Floating point instructions.

  See Also:
    Constant Field Values

### ALOAD_D

    public static final int ALOAD_D

  Floating point instructions.

  See Also:
    Constant Field Values

### ASTORE_F

    public static final int ASTORE_F

  Floating point instructions.

  See Also:
    Constant Field Values

### ASTORE_D

    public static final int ASTORE_D

  Floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_F_WIDE

    public static final int GETSTATIC_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### GETSTATIC_D_WIDE

    public static final int GETSTATIC_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_F_WIDE

    public static final int CLASS_GETSTATIC_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_GETSTATIC_D_WIDE

    public static final int CLASS_GETSTATIC_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_F_WIDE

    public static final int PUTSTATIC_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTSTATIC_D_WIDE

    public static final int PUTSTATIC_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_F_WIDE

    public static final int CLASS_PUTSTATIC_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### CLASS_PUTSTATIC_D_WIDE

    public static final int CLASS_PUTSTATIC_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_F_WIDE

    public static final int GETFIELD_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD_D_WIDE

    public static final int GETFIELD_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_F_WIDE

    public static final int GETFIELD0_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### GETFIELD0_D_WIDE

    public static final int GETFIELD0_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_F_WIDE

    public static final int PUTFIELD_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD_D_WIDE

    public static final int PUTFIELD_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_F_WIDE

    public static final int PUTFIELD0_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### PUTFIELD0_D_WIDE

    public static final int PUTFIELD0_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_F_WIDE

    public static final int INVOKEVIRTUAL_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKEVIRTUAL_D_WIDE

    public static final int INVOKEVIRTUAL_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_F_WIDE

    public static final int INVOKESTATIC_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESTATIC_D_WIDE

    public static final int INVOKESTATIC_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_F_WIDE

    public static final int INVOKESUPER_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKESUPER_D_WIDE

    public static final int INVOKESUPER_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_F_WIDE

    public static final int INVOKENATIVE_F_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

### INVOKENATIVE_D_WIDE

    public static final int INVOKENATIVE_D_WIDE

  Floating point instructions.

  See Also:
    Constant Field Values

Constructor Detail

### OPC

    public OPC()

Method Detail

### getSize

    public static int getSize(int opcode)

  Gets the size (in bytes) of an instruction based on a given opcode.

  Parameters:
    `opcode` - an instruction opcode
  Returns:
    the size of the instruction
  Throws:
    `IndexOutOfBoundsException` - if `opcode` is not valid
    `IllegalArgumentException` - if `opcode` denotes a prefix or variable size instruction

### hasWide

    public static boolean hasWide(int opcode)

  Determines if a given opcode has a wide version.

  Parameters:
    `opcode` - an instruction opcode
  Returns:
    true if there is a wide version of `opcode`
  Throws:
    `IndexOutOfBoundsException` - if `opcode` is not valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"